--- sc/source/core/data/document.cxx	2009-09-10 10:42:20.000000000 +0200
+++ sc/source/core/data/document.cxx	2009-09-10 10:06:59.000000000 +0200
@@ -4669,22 +4669,41 @@
 
 void ScDocument::AddPrintRange( SCTAB nTab, const ScRange& rNew )
 {
-	if (ValidTab(nTab) && pTab[nTab])
+    if (ValidTab(nTab) && pTab[nTab]) {
+        if ( ! HasPrintRange() ) {
+            for ( SCTAB i=0; i<nMaxTableNumber; i++ )
+                if ( pTab[i] && i != nTab )
+                    pTab[i]->SetPrintEntireSheet();
+        }
         pTab[nTab]->AddPrintRange( rNew );
+    }
 }
 
 
 void ScDocument::SetPrintRange( SCTAB nTab, const ScRange& rNew )
 {
-	if (ValidTab(nTab) && pTab[nTab])
+    if (ValidTab(nTab) && pTab[nTab]) {
+        if ( ! HasPrintRange() ) {
+            for ( SCTAB i=0; i<nMaxTableNumber; i++ )
+                if ( pTab[i] && i != nTab )
+                    pTab[i]->SetPrintEntireSheet();
+        }
         pTab[nTab]->SetPrintRange( rNew );
+    }
 }
 
 
 void ScDocument::SetPrintEntireSheet( SCTAB nTab )
 {
-    if (ValidTab(nTab) && pTab[nTab])
-        pTab[nTab]->SetPrintEntireSheet();
+    if (ValidTab(nTab) && pTab[nTab]) {
+        if ( ! HasPrintRange() ) {
+            for ( SCTAB i=0; i<nMaxTableNumber; i++ )
+                if ( pTab[i] )
+                    pTab[i]->SetPrintEntireSheet();
+        } else {
+          pTab[nTab]->SetPrintEntireSheet();
+        }
+    }
 }
 
 
